Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Interface SearcherLifetimeManager.Pruner

All Known Implementing Classes:
  SearcherLifetimeManager.PruneByAge

Enclosing class:
  SearcherLifetimeManager

    public static interface SearcherLifetimeManager.Pruner

See `SearcherLifetimeManager.prune(org.apache.lucene.search.SearcherLifetimeManager.Pruner)`.

Method Summary
`boolean` | `doPrune(double ageSec, IndexSearcher searcher)` Return true if this searcher should be removed.

Method Detail

### doPrune

    boolean doPrune(double ageSec,
                    IndexSearcher searcher)

  Return true if this searcher should be removed.

  Parameters:
    `ageSec` - how much time has passed since this searcher was the current (live) searcher
    `searcher` - Searcher

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.